# std::unordered_set::end(int), std::unordered_set::cend(int)

From cppreference.com
< cpp‎ | container‎ | unordered set

local_iterator end( size_type n ); |  | (since C++11)
const_local_iterator end( size_type n ) const; |  | (since C++11)
const_local_iterator cend( size_type n ) const; |  | (since C++11)

Returns an iterator to the element following the last element of the bucket with index `n`. . This element acts as a placeholder, attempting to access it results in undefined behavior.

### Parameters

n | - | the index of the bucket to access

### Return value

iterator to the element following the last element

### Complexity

Constant

### See also

begin(int) cbegin(int) | returns an iterator to the beginning of the specified bucket (public member function)

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/container/unordered_set/end2&oldid=50781"